local t = Def.ActorFrame {}
local xPositions = {
	SCREEN_LEFT+71,		--
	SCREEN_RIGHT-69,	--
	SCREEN_LEFT+74,		--
	SCREEN_RIGHT-75		--
}

local yPositions = {
	SCREEN_TOP+108,		--
	SCREEN_BOTTOM-63	--
}

local gfxnames = {"MODE1", "MODE2", "SONG1", "SONG2"}

for i=1,#gfxnames do

	t[#t+1] = LoadActor(gfxnames[i])..{
		InitCommand=function(self)
			self:horizalign(i%2 == 1 and left or right);
			self:vertalign(math.ceil(i/2) == 1 and top or bottom);
			
			self:x(xPositions[i]);
			self:y(yPositions[math.ceil(i/2)]);
		end;
		OnCommand=function(self)
			--movement cmds
			self:rotationz(i%2 == 1 and 90 or -90);
			self:diffusealpha(0);
			self:sleep(0.1);
			self:linear(0.4);
			self:rotationz(0);
			self:diffusealpha(1);
		end;
	}

end

return t